Subject: Re: bug#15848: 24.3.50; cperl-mode + which-function: Improve reporting (corner case)

From: Jambunathan K <[email-masked]>
Date: Thu, 14 Nov 2013 11:09:02 +0530

Nathan Trapuzzano <[email-masked]> writes:

> Jambunathan K <[email-masked]> writes:
>
>> Hmm.... Losing something to gain some thing else doesn't seem good to
>> me.
>
> I don't follow. What's being lost?

Indexing of =headNs

>> I cursorily looked at cperl-mode.  My gut feeling is that which-function
>> decides the box it is in by looking at the markers that is returned.  So
>> we may have to examine what value goes in to the marker.  
>
> Yes, which-function just looks at the markers in the imenu index.
> Changing those markers' positions is exactly what the patch does.

When POD headers are there, the Perl file is cut/segmented a certain
way.  When POD headers are not indexed, the Perl file is cut/segmented
differently.  Shouldn't we be cutting at the same spot with or without
perl headers?